Bug 983694 - [abrt] xsane-0.999-1.fc19: gl646_setup_registers: Process /usr/bin/xsane was killed by signal 11 (SIGSEGV)
Summary: [abrt] xsane-0.999-1.fc19: gl646_setup_registers: Process /usr/bin/xsane was ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8a4cb58dcd95b774957781be235...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-11 17:53 UTC by francesco
Modified: 2013-08-02 22:10 UTC (History)
1 user (show)

Fixed In Version: sane-backends-1.0.23-13.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-28 01:10:52 UTC


Attachments (Terms of Use)
File: backtrace (100.30 KB, text/plain)
2013-07-11 17:53 UTC, francesco
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-11 17:54 UTC, francesco
no flags Details
File: core_backtrace (4.02 KB, text/plain)
2013-07-11 17:54 UTC, francesco
no flags Details
File: dso_list (18.73 KB, text/plain)
2013-07-11 17:54 UTC, francesco
no flags Details
File: environ (1.52 KB, text/plain)
2013-07-11 17:54 UTC, francesco
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-11 17:54 UTC, francesco
no flags Details
File: maps (86.45 KB, text/plain)
2013-07-11 17:54 UTC, francesco
no flags Details
File: open_fds (778 bytes, text/plain)
2013-07-11 17:54 UTC, francesco
no flags Details
File: proc_pid_status (926 bytes, text/plain)
2013-07-11 17:54 UTC, francesco
no flags Details
File: var_log_messages (530 bytes, text/plain)
2013-07-11 17:54 UTC, francesco
no flags Details

Description francesco 2013-07-11 17:53:49 UTC
Version-Release number of selected component:
xsane-0.999-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        xsane
crash_function: gl646_setup_registers
executable:     /usr/bin/xsane
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gl646_setup_registers at genesys_gl646.c:748
 #1 setup_for_scan at genesys_gl646.c:3509
 #2 simple_scan at genesys_gl646.c:4994
 #3 gl646_offset_calibration at genesys_gl646.c:4088
 #4 genesys_scanner_calibration at genesys.c:3339
 #5 sane_genesys_start at genesys.c:4187
 #6 xsane_start_scan at ../../src/xsane-scan.c:1665
 #7 xsane_scan_dialog at ../../src/xsane-scan.c:2162
 #8 _g_closure_invoke_va at gclosure.c:840
 #11 gtk_real_button_released at gtkbutton.c:1712

Comment 1 francesco 2013-07-11 17:53:55 UTC
Created attachment 772344 [details]
File: backtrace

Comment 2 francesco 2013-07-11 17:54:01 UTC
Created attachment 772345 [details]
File: cgroup

Comment 3 francesco 2013-07-11 17:54:04 UTC
Created attachment 772346 [details]
File: core_backtrace

Comment 4 francesco 2013-07-11 17:54:08 UTC
Created attachment 772347 [details]
File: dso_list

Comment 5 francesco 2013-07-11 17:54:11 UTC
Created attachment 772348 [details]
File: environ

Comment 6 francesco 2013-07-11 17:54:15 UTC
Created attachment 772349 [details]
File: limits

Comment 7 francesco 2013-07-11 17:54:21 UTC
Created attachment 772350 [details]
File: maps

Comment 8 francesco 2013-07-11 17:54:24 UTC
Created attachment 772351 [details]
File: open_fds

Comment 9 francesco 2013-07-11 17:54:27 UTC
Created attachment 772352 [details]
File: proc_pid_status

Comment 10 francesco 2013-07-11 17:54:31 UTC
Created attachment 772353 [details]
File: var_log_messages

Comment 11 Nils Philippsen 2013-07-12 09:44:46 UTC
The crash happens in the genesys (gl646) SANE backend.

Comment 12 Nils Philippsen 2013-07-12 09:47:16 UTC
Upstream bug report: https://alioth.debian.org/tracker/?group_id=30186&atid=410366&func=detail&aid=314293

Comment 13 Fedora Update System 2013-07-12 11:17:43 UTC
sane-backends-1.0.23-13.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sane-backends-1.0.23-13.fc18

Comment 14 Fedora Update System 2013-07-12 11:17:53 UTC
sane-backends-1.0.23-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sane-backends-1.0.23-13.fc19

Comment 15 Fedora Update System 2013-07-13 01:54:00 UTC
Package sane-backends-1.0.23-13.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sane-backends-1.0.23-13.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12911/sane-backends-1.0.23-13.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2013-07-28 01:10:52 UTC
sane-backends-1.0.23-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-08-02 22:10:13 UTC
sane-backends-1.0.23-13.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.